package com.ruoyi.approvalFlow.service;


import com.ruoyi.approvalFlow.domain.AuditItems;

import java.util.List;

/**
 * 审批流任务明细Service接口
 *
 * @author ruoyi
 * @date 2021-01-21
 */
public interface IAuditItemsService {
    /**
     * 查询审批流任务明细
     *
     * @param id 审批流任务明细ID
     * @return 审批流任务明细
     */
    public AuditItems selectAuditItemsById(Long id);

    /**
     * 查询审批流任务明细列表
     *
     * @param auditItems 审批流任务明细
     * @return 审批流任务明细集合
     */
    public List<AuditItems> selectAuditItemsList(AuditItems auditItems);

    /**
     * 新增审批流任务明细
     *
     * @param auditItems 审批流任务明细
     * @return 结果
     */
    public int insertAuditItems(AuditItems auditItems);

    /**
     * 修改审批流任务明细
     *
     * @param auditItems 审批流任务明细
     * @return 结果
     */
    public int updateAuditItems(AuditItems auditItems);

    /**
     * 批量删除审批流任务明细
     *
     * @param ids 需要删除的审批流任务明细ID
     * @return 结果
     */
    public int deleteAuditItemsByIds(Long[] ids);

    /**
     * 删除审批流任务明细信息
     *
     * @param id 审批流任务明细ID
     * @return 结果
     */
    public int deleteAuditItemsById(Long id);
}
